Skip to main content

GET v3/returnItems

GET 

/v3/returnItems

List the returns processed by Paxon warehouses, with filters and pagination.

The GET v3/returnItems endpoint returns all returns that have been processed by one of the warehouses of Paxon. Returns that have been delivered to, but not processed by, Paxon are not returned by this endpoint yet until these returns are processed.

Pagination​

The endpoint supports pagination to split the large collection of resources into smaller, more manageable chunks or pages. This helps to reduce the response size and to improve performance. The endpoint supports only cursor-based technique for pagination

Filters​

The GET v3/returnItem endpoint supports filtering on processedOn. Each of these are explained below. Filters can be used in combination with eachother and with pagination to allow full access to the desired subset of returnItems.

info

Attribute restockOn and the filters filter[restockOn][before] and filter[restockOn][after] are under development.

Filtering on processedOn​

The results returned by this service can be filtered based on the date the returnItem was processed in the warehouse. To do so make use of the filter[processedOn] parameter in the following manner:

  • GET {host}/v3/returnItems?filter[processedOn][lt]={date} will return returned items that have been created before the provided date. Returned items that has been processed on that date are not included in the results.
  • GET {host}/v3/returnItems?filter[processedOn][gt]={date} will return returned items that have been created after the provided date. Returned items that have been processed on that date are not included in the results.
  • GET {host}/v3/returnItems?filter[processedOn][gt]={date_1}&filter[processedOn][lt]={date_2} will return returned itemsthat have created between dates {date_1} and {date_1}. Returned items that have been processed on either date are not included in the results.

There are currently no resources to include in the response.

Limitations of GET v3/returnItems​

  • At most 100 returnItems resources are returned regardless of the value provided by the page[size] query parameter.
  • Ordering is by id and in ascending order.
  • Users are rate-limited to 1000 requests per hour on this service.

Request​

Responses​

OK